BoundingBox (KML Framework API)
Keywords: org.boehn.kmlframework.todo.BoundingBox class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo
Class BoundingBox

    java.lang.Object
      org.boehn.kmlframework.todo.BoundingBox

    public class BoundingBox

extends java.lang.Object

Constructor Summary
`BoundingBox()`
`BoundingBox(java.lang.Double north, java.lang.Double east, java.lang.Double south, java.lang.Double west)`

Method Summary
`java.lang.Double` | `getEast()`
`java.lang.Double` | `getNorth()`
`java.lang.Double` | `getSouth()`
`java.lang.Double` | `getWest()`
`boolean` | `isInsideBoundingBox(EarthCoordinate earthCoordinate)`
`void` | `setEast(java.lang.Double east)`
`void` | `setNorth(java.lang.Double north)`
`void` | `setSouth(java.lang.Double south)`
`void` | `setWest(java.lang.Double west)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundingBox

    public BoundingBox()

### BoundingBox

    public BoundingBox(java.lang.Double north,
                       java.lang.Double east,
                       java.lang.Double south,
                       java.lang.Double west)

Method Detail

### isInsideBoundingBox

    public boolean isInsideBoundingBox(EarthCoordinate earthCoordinate)

### getEast

    public java.lang.Double getEast()

### setEast

    public void setEast(java.lang.Double east)

### getNorth

    public java.lang.Double getNorth()

### setNorth

    public void setNorth(java.lang.Double north)

### getSouth

    public java.lang.Double getSouth()

### setSouth

    public void setSouth(java.lang.Double south)

### getWest

    public java.lang.Double getWest()

### setWest

    public void setWest(java.lang.Double west)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD